PASSWD(1SSL)

NOM
passwd - Calcul de hachages de mot de passe

SYNOPSIS
openssl passwd [-crypt] [-1] [-apr1] [-salt chaîne] [-in fichier] [-stdin] [-noverify] [-quiet] [-table] {mot_de_passe}

DESCRIPTION
La commande passwd génère le hachage d'un mot de passe saisi lors de l'exécution ou de tous les mots de passe d'une liste. La liste des mots de passe est fournie par le fichier spécifié par l'option -in fichier, par l'entrée standard avec l'option -stdin, par la ligne de commande, ou depuis le terminal autrement. Les algorithmes standard UNIX, crypt, celui des BSD, basé sur MD5, 1 et la variante d'Apache apr1 sont disponibles.

OPTIONS

-crypt
    Utilise l'algorithme crypt (défaut).

-1  Utilise l'algorithme 1 basé sur MD5 des BSD.

-apr1
    Utilise l'algorithme apr1 (variante d'Apache de l'algorithme BSD).

-salt chaîne
    Utilise le sel indiqué. Quand le mot de passe est lu sur le terminal, cette option implique l'option -noverify.

-in fichier
    Lecture des mots de passe à partir de fichier.

-stdin
    Lecture des mots de passe à partir de l'entrée standard.

-noverify
    Ne vérifie pas le mot de passe quand il est lu depuis le terminal.

-quiet
    N'affiche pas d'avertissement lorsque des mots de passe donnés comme argument de ligne de commande sont tronqués.

-table
    Dans la liste de sortie, le mot de passe en clair et un caractère TAB précèdent chaque hachage de mot de passe.

EXEMPLES
openssl passwd -crypt -salt xx password affiche xxj31ZMTZzkVA.

openssl passwd -1 -salt xxxxxxxx password affiche $1$xxxxxxxx$UYCIxa628.9qXjpQCjM4a..

openssl passwd -apr1 -salt xxxxxxxx password affiche $apr1$xxxxxxxx$dxHfLAsjHkDRmG83UXe8K0.

TRADUCTION
Cette page de manuel a été traduite par tv en 2002 et est maintenue par la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.